---
title: "This week in Co-op Cloud (2021-06-25)"
date: 2021-07-06T13:17:04+05:00
draft: true
image: "/img/solarpunk.jpg"
description: "A review of the past week"
---

We were inspired by the ["This Week in Matrix"](https://matrix.org/blog/category/this-week-in-matrix/) style logging so we decided we've git it a shot ourselves. We'll try to write up something each week to keep folks updated on what is going on with the project. Here we gooooooo...

<!--more-->

### CoS funding

We've received substantial funding which will allow us to focus on releasing a stable beta release of Co-op Cloud 🎉 🎆 ✨ Read more in [the announcement post](#LINK-TO-ABOVE-ARTICLE). We're Very Excited.

### Github mirroring

The awkard question of whether or not to have our source code on Github (yanno, because `M$`) has been hanging around and we decided to take some steps to remedy that. Typically, some people find it easier to contribute to projects when they are on Github. Our solution has been to [set up an hourly automated Gitea -> Github mirror job](https://git.autonomic.zone/coop-cloud/auto-mirror). If you want to raise issues/PRs/etc. on those repositories, go ahead! We'll get notifications and respond when we can.

### App release automation

We've been working on automating the release of new versions of our apps. As we use upstream container images for each app, we can use the excellent [renovate-bot](https://git.autonomic.zone/autonomic-cooperative/renovate-bot) to automatically submit pull requests and merge minor or patch version upgrades in our app configuration repositories. Furthermore, we are working on having a machine-readable apps catalogue available at [apps.coopcloud.tech](https://apps.coopcloud.tech/) which is now automatically updated every day via [coop-cloud/auto-apps-json](https://git.autonomic.zone/coop-cloud/auto-apps-json). The idea is that [`abra`](https://git.autonomic.zone/coop-cloud/abra) then reads this JSON file and learns which versions of which apps are available to be deployed. We're still missing some testing in between to assure that each app version that is published is reliable to upgrade but this is Coming Soon. This is all very much a work in progress.

### New release of `abra`

A new release (`9.0.0`, still alpha!) of our command-line client came out recently and you can catch the change log [here](https://git.autonomic.zone/coop-cloud/abra/src/branch/main/CHANGELOG.md#abra-9-0-0-2021-06-10) and the [install](https://git.autonomic.zone/coop-cloud/abra#install) and [update](https://git.autonomic.zone/coop-cloud/abra#update) instructions if you'd like to take it for a test run. If you run into any bugs, inconsistencies or anything is unclear, please feel free to [raise a ticket](https://git.autonomic.zone/coop-cloud/abra/issues).

### Newly packaged apps

There are some new apps this month :heart_eyes:

- [go-ssb-room](https://git.autonomic.zone/coop-cloud/go-ssb-room): SSB room server implemented in Go 
- [Peertube](https://git.autonomic.zone/coop-cloud/peertube): An ActivityPub-federated video streaming platform using P2P directly in your web browser
- [GoToSocial](https://git.autonomic.zone/coop-cloud/gotosocial): Golang fediverse server
- [Mastodon](https://git.autonomic.zone/coop-cloud/mastodon): Your self-hosted, globally interconnected microblogging community 
- [Hometown](https://git.autonomic.zone/coop-cloud/hometown): A supported fork of Mastodon that provides local posting and a wider range of content types 
- [keycloak-collective-portal](https://git.autonomic.zone/coop-cloud/keycloak-collective-portal): Community Keycloak SSO user management

### Open Collective and paying for contributions

We've opened [an Open Collective](https://opencollective.com/coop-cloud) account! There has been some brief chats about how to make the project sustainable for people who would like to get involved. The world of Open Source infrastructure is [tremendously unsustainable](https://www.fordfoundation.org/media/2976/roads-and-bridges-the-unseen-labor-behind-our-digital-infrastructure.pdf) and is often only accessible to people who have the free time and capacity to do unpaid work. We want to compensate all contributions to this project (yes, all, "non-technical" tasks and care work also!) and build a flourishing, independent and economically sustainable project. Self organising the distribution of money can certainly help with that. If you have any experience with thinking through libre software project sustainability and compensation models, [please get in touch](mailto:helo@coopcloud.tech).

### Community contributions

- [@knoflook](https://git.autonomic.zone/knoflook) took a pass on our "Deploy your first app" documentation in [#14](https://git.autonomic.zone/coop-cloud/docs.coopcloud.tech/pulls/14) :sun_with_face: 
- [@mirsal](https://git.autonomic.zone/mirsal) did the majority of the packaging work for [Peertube](https://git.autonomic.zone/coop-cloud/peertube) :100: 
- [@ahdinosaur](https://github.com/Coop-Cloud/traefik/commits?author=ahdinosaur) implemented both wildcard domain and OVH provider support in our traefik app in [`2c81622d`](https://github.com/Coop-Cloud/traefik/commit/2c81622d9ad3d796aaac61cde752ac2d2e510974) :tada: 

As mentioned above, we want to compensate these contributions. We will be getting to this sooner rather than later once we get all the money things ironed out.